summaryrefslogtreecommitdiffstats
path: root/network/smb4k
diff options
context:
space:
mode:
author Roberto Neri <rneri@libero.it>2010-05-11 22:55:01 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:01 +0200
commit514dcdf4e2f4e11c75ec9b78be869fa9999da133 (patch)
treeb991d1bc5aa5e99c2ffc6cdb72cefd9ce3c8607d /network/smb4k
parentbc7c1614243a50fa65c98307724366186bfc7405 (diff)
downloadslackbuilds-514dcdf4e2f4e11c75ec9b78be869fa9999da133.tar.gz
slackbuilds-514dcdf4e2f4e11c75ec9b78be869fa9999da133.tar.xz
network/smb4k: Added to 12.1 repository
Diffstat (limited to 'network/smb4k')
-rw-r--r--network/smb4k/README3
-rw-r--r--network/smb4k/slack-desc19
-rw-r--r--network/smb4k/smb4k.SlackBuild68
-rw-r--r--network/smb4k/smb4k.info8
4 files changed, 98 insertions, 0 deletions
diff --git a/network/smb4k/README b/network/smb4k/README
new file mode 100644
index 0000000000..ad8c95185f
--- /dev/null
+++ b/network/smb4k/README
@@ -0,0 +1,3 @@
+Smb4K is an advanced network neighborhood browser for KDE and a frontend
+to the programs of the Samba software suite. Its purpose is to provide
+a program that's easy to use and has as many features as possible.
diff --git a/network/smb4k/slack-desc b/network/smb4k/slack-desc
new file mode 100644
index 0000000000..982551e66e
--- /dev/null
+++ b/network/smb4k/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+smb4k: smb4k (A SMB Share Browser)
+smb4k:
+smb4k: Smb4K is a SMB (Windows) share browser for KDE.
+smb4k:
+smb4k: Homepage: http://smb4k.berlios.de/
+smb4k:
+smb4k:
+smb4k:
+smb4k:
+smb4k:
+smb4k:
diff --git a/network/smb4k/smb4k.SlackBuild b/network/smb4k/smb4k.SlackBuild
new file mode 100644
index 0000000000..250455c046
--- /dev/null
+++ b/network/smb4k/smb4k.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for smb4k
+# Project Homepage: http://smb4k.berlios.de/
+
+# Written by Roberto Neri <rneri@libero.it>
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=smb4k
+VERSION=${VERSION:-0.9.8}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS ChangeLog COPYING FAQ INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/smb4k/smb4k.info b/network/smb4k/smb4k.info
new file mode 100644
index 0000000000..b4ea3d2f33
--- /dev/null
+++ b/network/smb4k/smb4k.info
@@ -0,0 +1,8 @@
+PRGNAM="smb4k"
+VERSION="0.9.8"
+HOMEPAGE="http://smb4k.berlios.de/"
+DOWNLOAD="http://download.berlios.de/smb4k/smb4k-0.9.8.tar.bz2"
+MD5SUM="6a01f15db599881fd5b0b13a0124e81e"
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
+APPROVED="dsomero"